/*
Nome: Mario
Cognome: Montanari
Classe: 3AIN
Data: 11/03/2025
*/

#include <iostream>

using namespace std;

int main(void) {
    int a;
    int p;
    int inverso = -1;
	
	cout << "a = ";
	cin >> a;
	
	cout << "mod p = ";
	cin >> p;
	
    for (int x = 1; x < p; x++) {
        if ((a * x) % p == 1) {
            inverso = x;
            break;
        }
    }

    if (inverso != -1)
        cout << "Inverso moltiplicativo: " << inverso << endl;
    else
        cout << "L'inverso moltiplicativo non esiste!" << endl;

    return 0;
}